InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterSourceInfo Struct Reference

LogWriter Source Settings. More...

`#include <LogSettings.h>`

## Public Member Functions
| LogWriterSourceInfo ()
| LogWriterSourceInfo (std::wstring const &argString)
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
time_t | createDate
| UTC timestamp when the file is created.
std::wstring | description
| Description that can be added to the file.
std::wstring | versionInfo
| Version of the Inertia Library that creates the file, automatically filled in but can be overwritten.
std::wstring | originalFilename
| The original name of the file, for example the name in the flash.

## Detailed Description

LogWriter Source Settings.

Struct containing information about the file.

## Constructor & Destructor Documentation

## ◆ LogWriterSourceInfo() [1/2]

inertia::LogWriterSourceInfo::LogWriterSourceInfo | ( |  | ) |

Default constructor.

## ◆ LogWriterSourceInfo() [2/2]

inertia::LogWriterSourceInfo::LogWriterSourceInfo | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterSourceInfo from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterSourceInfo::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterSourceInfo. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterSourceInfo::ToString | ( |  | ) | const

Get a string representation of this LogWriterSourceInfo. The string is compatible with GetOptionDescription() and LogWriterSourceInfo(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h